package net.ranides.test.mockup.collection;

import lombok.RequiredArgsConstructor;

import net.ranides.assira.collection.AIntCollection;
import net.ranides.assira.collection.arrays.IntArrays;
import net.ranides.assira.collection.iterators.IntIterator;

@RequiredArgsConstructor
public class IntWrapper extends AIntCollection {

    private final int[] content;

    @Override
    public IntIterator iterator() {
        return IntArrays.iterator(content);
    }

    @Override
    public int size() {
        return content.length;
    }
}
